Debian Bug report logs - #569815
soname change without binary package rename

version graph

Package: libdirectfb-1.2-0; Maintainer for libdirectfb-1.2-0 is (unknown);

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 14 Feb 2010 14:30:05 UTC

Severity: serious

Found in versions directfb/1.2.9-1, directfb/1.2.10-1

Fixed in version directfb/1.2.10really1.2.8-1

Done: Nicholas Breen <nbreen@ofb.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tobias Loose <TobiasLoose@gmx.de>:
Bug#569815; Package src:mupen64plus. (Sun, 14 Feb 2010 14:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Tobias Loose <TobiasLoose@gmx.de>. (Sun, 14 Feb 2010 14:30:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: mupen64plus: FTBFS: libcairo.so: undefined reference to `direct_memcpy'
Date: Sun, 14 Feb 2010 15:27:16 +0100
Source: mupen64plus
Version: 1.5+dfsg1-7+b2
Severity: serious

Hi,

There was an error while trying to autobuild your package:

> Start Time: 20100214-1355

[...]

> Build-Depends: debhelper (>= 7.0.50), quilt (>= 0.46-7), libsdl1.2-dev, libsdl-ttf2.0-dev, libfreetype6-dev, libglib2.0-dev, libgtk2.0-dev, libsamplerate0-dev, libpng12-dev | libpng-dev, libbz2-dev, zlib1g-dev | libz-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, binutils-dev, pkg-config, liblzma-dev, libxdg-basedir-dev

[...]

> Toolchain package versions: libc6-dev_2.10.2-5 dpkg-dev_1.15.5.6 linux-libc-dev_2.6.32-8 g++-4.4_4.4.3-2 gcc-4.4_4.4.3-2 binutils_2.20-6 libstdc++6_4.4.3-2 libstdc++6-4.4-dev_4.4.3-2

[...]

> g++ main/main.o main/romcache.o main/util.o main/cheat.o main/config.o main/md5.o main/plugin.o main/rom.o main/savestates.o main/zip/ioapi.o main/zip/unzip.o main/7zip/7zAlloc.o main/7zip/7zBuffer.o main/7zip/7zCrc.o main/7zip/7zDecode.o main/7zip/7zExtract.o main/7zip/7zHeader.o main/7zip/7zIn.o main/7zip/7zItem.o main/7zip/7zMain.o main/7zip/LzmaDecode.o main/7zip/BranchX86.o main/7zip/BranchX86_2.o memory/dma.o memory/flashram.o memory/memory.o memory/pif.o memory/tlb.o r4300/r4300.o r4300/bc.o r4300/compare_core.o r4300/cop0.o r4300/cop1.o r4300/cop1_d.o r4300/cop1_l.o r4300/cop1_s.o r4300/cop1_w.o r4300/exception.o r4300/interupt.o r4300/profile.o r4300/pure_interp.o r4300/recomp.o r4300/special.o r4300/regimm.o r4300/tlb.o r4300/x86/assemble.o r4300/x86/debug.o r4300/x86/gbc.o r4300/x86/gcop0.o r4300/x86/gcop1.o r4300/x86/gcop1_d.o r4300/x86/gcop1_l.o r4300/x86/gcop1_s.o r4300/x86/gcop1_w.o r4300/x86/gr4300.o r4300/x86/gregimm.o r4300/x86/gspecial.o r4300/x86/gtlb.o r4300/x86/regcache.o r4300/x86/rjum
> p.o opengl/OGLFT.o opengl/osd.o opengl/screenshot.o debugger/debugger.o debugger/decoder.o debugger/opprintf.o debugger/memory.o debugger/breakpoints.o main/gui_gtk/debugger/debugger.o main/gui_gtk/debugger/breakpoints.o main/gui_gtk/debugger/desasm.o main/gui_gtk/debugger/memedit.o main/gui_gtk/debugger/varlist.o main/gui_gtk/debugger/registers.o main/gui_gtk/debugger/regGPR.o main/gui_gtk/debugger/regCop0.o main/gui_gtk/debugger/regSpecial.o main/gui_gtk/debugger/regCop1.o main/gui_gtk/debugger/regAI.o main/gui_gtk/debugger/regPI.o main/gui_gtk/debugger/regRI.o main/gui_gtk/debugger/regSI.o main/gui_gtk/debugger/regVI.o main/gui_gtk/debugger/regTLB.o main/gui_gtk/debugger/ui_clist_edit.o main/gui_gtk/debugger/ui_disasm_list.o main/translate.o main/gui_gtk/main_gtk.o main/gui_gtk/icontheme.o main/gui_gtk/aboutdialog.o main/gui_gtk/cheatdialog.o main/gui_gtk/configdialog.o main/gui_gtk/rombrowser.o main/gui_gtk/romproperties.o -Wl,--as-needed -Wl,-export-dynamic -lz -lm -lpng -lfreetype -ldl -L/usr/lib -lSDL
>  -L/usr/X11R6/lib -lGL -lGLU -llzma   -lxdg-basedir   -lbz2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -pthread -lgthread-2.0 -lrt -lglib-2.0   -o mupen64plus  /usr/lib/libopcodes.a
> /usr/bin/ld: warning: libdirectfb-1.2.so.0, needed by /usr/lib/libSDL.so, not found (try using -rpath or -rpath-link)
> /usr/bin/ld: warning: libfusion-1.2.so.0, needed by /usr/lib/libSDL.so, not found (try using -rpath or -rpath-link)
> /usr/bin/ld: warning: libdirect-1.2.so.0, needed by /usr/lib/libSDL.so, not found (try using -rpath or -rpath-link)
> /usr/lib/libcairo.so: undefined reference to `direct_memcpy'
> /usr/lib/libcairo.so: undefined reference to `direct_messages_bug'
> /usr/lib/libcairo.so: undefined reference to `direct_config'
> /usr/lib/libSDL.so: undefined reference to `DirectFBCreate'
> /usr/lib/libSDL.so: undefined reference to `DirectFBError'
> /usr/lib/libSDL.so: undefined reference to `DirectFBErrorString'
> /usr/lib/libSDL.so: undefined reference to `DirectFBInit'
> collect2: ld returned 1 exit status
> make[2]: *** [mupen64plus] Error 1
> make[2]: Leaving directory `/build/buildd-mupen64plus_1.5+dfsg1-7+b2-i386-UvQpW3/mupen64plus-1.5+dfsg1'
> make[1]: *** [override_dh_auto_build] Error 2
> make[1]: Leaving directory `/build/buildd-mupen64plus_1.5+dfsg1-7+b2-i386-UvQpW3/mupen64plus-1.5+dfsg1'
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=i386&pkg=mupen64plus&ver=1.5+dfsg1-7+b2


Kurt





Bug No longer marked as found in versions mupen64plus/1.5+dfsg1-7+b2. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 14 Feb 2010 15:06:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions mupen64plus/1.5+dfsg1-7. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 14 Feb 2010 15:06:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tobias Loose <TobiasLoose@gmx.de>:
Bug#569815; Package src:mupen64plus. (Sun, 14 Feb 2010 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Eckelmann <sven.eckelmann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Tobias Loose <TobiasLoose@gmx.de>. (Sun, 14 Feb 2010 15:21:05 GMT) Full text and rfc822 format available.

Message #14 received at 569815@bugs.debian.org (full text, mbox):

From: Sven Eckelmann <sven.eckelmann@gmx.de>
To: Kurt Roeckx <kurt@roeckx.be>, 569815@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#569815: mupen64plus: FTBFS: libcairo.so: undefined reference to `direct_memcpy'
Date: Sun, 14 Feb 2010 16:20:02 +0100
[Message part 1 (text/plain, inline)]
tags 569815 moreinfo
thanks

Kurt Roeckx wrote:
> There was an error while trying to autobuild your package:
> > Start Time: 20100214-1355
[....]
> > /usr/lib/libopcodes.a /usr/bin/ld: warning: libdirectfb-1.2.so.0, needed
> > by /usr/lib/libSDL.so, not found (try using -rpath or -rpath-link)
> > /usr/bin/ld: warning: libfusion-1.2.so.0, needed by /usr/lib/libSDL.so,
> > not found (try using -rpath or -rpath-link) /usr/bin/ld: warning:
> > libdirect-1.2.so.0, needed by /usr/lib/libSDL.so, not found (try using
> > -rpath or -rpath-link) /usr/lib/libcairo.so: undefined reference to
> > `direct_memcpy'
> > /usr/lib/libcairo.so: undefined reference to `direct_messages_bug'
> > /usr/lib/libcairo.so: undefined reference to `direct_config'
> > /usr/lib/libSDL.so: undefined reference to `DirectFBCreate'
> > /usr/lib/libSDL.so: undefined reference to `DirectFBError'
> > /usr/lib/libSDL.so: undefined reference to `DirectFBErrorString'
> > /usr/lib/libSDL.so: undefined reference to `DirectFBInit'
> > collect2: ld returned 1 exit status
> > make[2]: *** [mupen64plus] Error 1
> > make[2]: Leaving directory
> > `/build/buildd-mupen64plus_1.5+dfsg1-7+b2-i386-UvQpW3/mupen64plus-1.5+dfs
> >g1' make[1]: *** [override_dh_auto_build] Error 2
> > make[1]: Leaving directory
> > `/build/buildd-mupen64plus_1.5+dfsg1-7+b2-i386-UvQpW3/mupen64plus-1.5+dfs
> >g1' make: *** [build] Error 2
> > dpkg-buildpackage: error: debian/rules build gave error exit status 2
> 
> A full build log can be found at:
> http://buildd.debian.org/build.php?arch=i386&pkg=mupen64plus&ver=1.5+dfsg1-
> 7+b2

Thanks for the bug report, but when I read the error message - can it be that 
this is sdl related and not related to my package? These functions are missing 
in libSDL.so and are not used by me.

Can you please recheck with another program that compiles against sdl. The 
needed libraries are also not promoted by `sdl-config --libs`. So I doubt that 
I can do much about it then hacking around it (which must be done by all other 
packages which uses libSDL).

Important is the 

/usr/bin/ld: warning: libdirectfb-1.2.so.0, needed by /usr/lib/libSDL.so, not 
found (try using -rpath or -rpath-link)

This implicates that libsdl has broken dependencies. And that must be resolved 
by the libSDL package. The package libsdl1.2-dev_1.2.14-4 on my unstable 
depends on the -dev of of libdirectfb and this depends on libdirectfb-1.2-0. 
So this should be also present on the build machine. I would either guess that 
the build machine is broken or that a specific version/architecture binary 
package is broken.

I cannot reproduce the problem in my uptodate unstable cowbuilder and my 
working machine.

Best regards,
	Sven
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Sven Eckelmann <sven.eckelmann@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tobias Loose <TobiasLoose@gmx.de>:
Bug#569815; Package src:mupen64plus. (Sun, 14 Feb 2010 15:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Eckelmann <sven.eckelmann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Tobias Loose <TobiasLoose@gmx.de>. (Sun, 14 Feb 2010 15:36:06 GMT) Full text and rfc822 format available.

Message #21 received at 569815@bugs.debian.org (full text, mbox):

From: Sven Eckelmann <sven.eckelmann@gmx.de>
To: Kurt Roeckx <kurt@roeckx.be>, control@bugs.debian.org
Cc: 569815@bugs.debian.org
Subject: Re: Bug#569815: mupen64plus: FTBFS: libcairo.so: undefined reference to `direct_memcpy'
Date: Sun, 14 Feb 2010 16:34:57 +0100
[Message part 1 (text/plain, inline)]
reassign 569815 src:directfb
tags 569815 - moreinfo
thanks

Sven Eckelmann wrote:
> I cannot reproduce the problem in my uptodate unstable cowbuilder and my
> working machine.

http://packages.qa.debian.org/d/directfb/news/20100214T095028Z.html is the 
upload of directfb today. It seems that the package was directly installed 
from incoming. Can it be that the uploaded version is incompatible with the 
libsdl version installed? The new link is now /usr/lib/libdirectfb-1.2.so.9 
and not more /usr/lib/libdirectfb-1.2.so.0

I reassign that bug now to directfb - please reassign it back if this was an 
incorrect assumption or to libsdl1.2 when they should handle it.

Best regards,
	Sven
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'src:mupen64plus' to 'src:directfb'. Request was from Sven Eckelmann <sven.eckelmann@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:36:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mupen64plus/1.5+dfsg1-7. Request was from Sven Eckelmann <sven.eckelmann@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:36:12 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Sven Eckelmann <sven.eckelmann@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:36:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions directfb/1.2.9-1. Request was from Sven Eckelmann <sven.eckelmann@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>:
Bug#569815; Package src:directfb. (Sun, 14 Feb 2010 15:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>. (Sun, 14 Feb 2010 15:51:07 GMT) Full text and rfc822 format available.

Message #34 received at 569815@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Sven Eckelmann <sven.eckelmann@gmx.de>
Cc: 569815@bugs.debian.org
Subject: Re: Bug#569815: mupen64plus: FTBFS: libcairo.so: undefined reference to `direct_memcpy'
Date: Sun, 14 Feb 2010 16:48:40 +0100
tags 569815 - moreinfo
reassign 569815 libdirectfb-1.2-0 1.2.9-1
retitle 569815 soname change without binary package rename
thanks

On Sun, Feb 14, 2010 at 04:20:02PM +0100, Sven Eckelmann wrote:
> tags 569815 moreinfo
> thanks
> 
> Kurt Roeckx wrote:
> > There was an error while trying to autobuild your package:
> > > Start Time: 20100214-1355
> [....]
> > > /usr/lib/libopcodes.a /usr/bin/ld: warning: libdirectfb-1.2.so.0, needed
> > > by /usr/lib/libSDL.so, not found (try using -rpath or -rpath-link)
> > > /usr/bin/ld: warning: libfusion-1.2.so.0, needed by /usr/lib/libSDL.so,
> > > not found (try using -rpath or -rpath-link) /usr/bin/ld: warning:
> > > libdirect-1.2.so.0, needed by /usr/lib/libSDL.so, not found (try using
> > > -rpath or -rpath-link) /usr/lib/libcairo.so: undefined reference to
> > > `direct_memcpy'
> > > /usr/lib/libcairo.so: undefined reference to `direct_messages_bug'
> > > /usr/lib/libcairo.so: undefined reference to `direct_config'
> > > /usr/lib/libSDL.so: undefined reference to `DirectFBCreate'
> > > /usr/lib/libSDL.so: undefined reference to `DirectFBError'
> > > /usr/lib/libSDL.so: undefined reference to `DirectFBErrorString'
> > > /usr/lib/libSDL.so: undefined reference to `DirectFBInit'
> > > collect2: ld returned 1 exit status
> > > make[2]: *** [mupen64plus] Error 1
> > > make[2]: Leaving directory
> > > `/build/buildd-mupen64plus_1.5+dfsg1-7+b2-i386-UvQpW3/mupen64plus-1.5+dfs
> > >g1' make[1]: *** [override_dh_auto_build] Error 2
> > > make[1]: Leaving directory
> > > `/build/buildd-mupen64plus_1.5+dfsg1-7+b2-i386-UvQpW3/mupen64plus-1.5+dfs
> > >g1' make: *** [build] Error 2
> > > dpkg-buildpackage: error: debian/rules build gave error exit status 2
> > 
> > A full build log can be found at:
> > http://buildd.debian.org/build.php?arch=i386&pkg=mupen64plus&ver=1.5+dfsg1-
> > 7+b2
> 
> Thanks for the bug report, but when I read the error message - can it be that 
> this is sdl related and not related to my package? These functions are missing 
> in libSDL.so and are not used by me.

You're right, it's complaining about libraries it can't find.

It seems to be /usr/lib/libdirectfb-1.2.so.9 instead of 
libdirect-1.2.so.0 in the 1.2.9-1 version.


Kurt





Bug reassigned from package 'src:directfb' to 'libdirectfb-1.2-0'. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:51:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions directfb/1.2.9-1. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:51:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions directfb/1.2.9-1. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:51:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'soname change without binary package rename' from 'mupen64plus: FTBFS: libcairo.so: undefined reference to `direct_memcpy'' Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 14 Feb 2010 15:51:11 GMT) Full text and rfc822 format available.

Added indication that 569815 affects directvnc, gplanarity, gstreamer0.10-plugins-bad, and libcairo2 Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 16:57:05 GMT) Full text and rfc822 format available.

Added indication that 569815 affects libdirectfb-bin, libdirectfb-dev, and libdirectfb-extra Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 16:57:06 GMT) Full text and rfc822 format available.

Added indication that 569815 affects libgtk-directfb-2.0-0, libmyth-0.22-0, and libsdl1.2debian-all Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 16:57:06 GMT) Full text and rfc822 format available.

Added indication that 569815 affects libsdl1.2debian-alsa and libsdl1.2debian-arts Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 16:57:07 GMT) Full text and rfc822 format available.

Added indication that 569815 affects libsdl1.2debian-esd, libsdl1.2debian-nas, and libsdl1.2debian-oss Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 16:57:08 GMT) Full text and rfc822 format available.

Added indication that 569815 affects libsdl1.2debian-pulseaudio, libsplashy1, and libxine1-console Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 16:57:09 GMT) Full text and rfc822 format available.

Added indication that 569815 affects libxine1-x, libxine2-console, libxine2-x, links2, and mplayer Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 16:57:09 GMT) Full text and rfc822 format available.

Added indication that 569815 affects mplayer-mt, mplayer-nogui, qingy, splashy, and uswsusp Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Sun, 14 Feb 2010 16:57:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>:
Bug#569815; Package libdirectfb-1.2-0. (Sun, 14 Feb 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mika Bostrom <bostik+debian@bostik.iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>. (Sun, 14 Feb 2010 17:54:03 GMT) Full text and rfc822 format available.

Message #63 received at 569815@bugs.debian.org (full text, mbox):

From: Mika Bostrom <bostik+debian@bostik.iki.fi>
To: 569815@bugs.debian.org
Subject: More information - affects python-gtk2
Date: Sun, 14 Feb 2010 19:07:52 +0200
  This also hits python-gtk2:


% dpkg -S libdirectfb | fgrep 1.2.so
libdirectfb-1.2-0: /usr/lib/libdirectfb-1.2.so.9.0.0
libdirectfb-1.2-0: /usr/lib/libdirectfb-1.2.so.9

% python
Python 2.5.5 (r255:77872, Feb  1 2010, 19:53:42) 
[GCC 4.4.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gtk
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/pymodules/python2.5/gtk-2.0/gtk/__init__.py", line 40, in <module>
    from gtk import _gtk
ImportError: libdirectfb-1.2.so.0: cannot open shared object file: No such file or directory
>>> 


  Which would imply that this should hit a good number of gnome
desktop tools too.

-- 
 Mika Boström                       Individualisti, eksistentialisti,
 www.iki.fi/bostik                  rationalisti ja mulkvisti
 GPG: 0x2AED22CC; 6FC9 8375 31B7 3BA2 B5DC  484E F19F 8AD6 2AED 22CC




Information forwarded to debian-bugs-dist@lists.debian.org, Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>:
Bug#569815; Package libdirectfb-1.2-0. (Sun, 14 Feb 2010 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor Chukhantsev <victor.noname@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>. (Sun, 14 Feb 2010 18:06:03 GMT) Full text and rfc822 format available.

Message #68 received at 569815@bugs.debian.org (full text, mbox):

From: Victor Chukhantsev <victor.noname@gmail.com>
To: 569815@bugs.debian.org
Subject: affects
Date: Sun, 14 Feb 2010 23:31:09 +0600
affects 569815 + emacs23 rxvt-unicode
-- 
Victor Chukhantsev
xmpp: victor@xmpp.ru - +7 963 9428428
gpg --keyserver wwwkeys.nl.pgp.net --recv-keys 0xF5BCF225




Added indication that 569815 affects emacs23 and rxvt-unicode Request was from Victor Chukhantsev <victor.noname@gmail.com> to control@bugs.debian.org. (Sun, 14 Feb 2010 18:06:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 14 Feb 2010 19:06:07 GMT) Full text and rfc822 format available.

Added indication that 569815 affects nautilus Request was from Rémi Letot <hobbes@poukram.net> to control@bugs.debian.org. (Sun, 14 Feb 2010 19:12:08 GMT) Full text and rfc822 format available.

Reply sent to Fathi Boudra <fabo@debian.org>:
You have taken responsibility. (Sun, 14 Feb 2010 19:32:41 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sun, 14 Feb 2010 19:32:41 GMT) Full text and rfc822 format available.

Message #79 received at 569815-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 569815-close@bugs.debian.org
Subject: Bug#569815: fixed in directfb 1.2.10really1.2.8-1
Date: Sun, 14 Feb 2010 19:32:24 +0000
Source: directfb
Source-Version: 1.2.10really1.2.8-1

We believe that the bug you reported is fixed in the latest version of
directfb, which is due to be installed in the Debian FTP archive:

directfb_1.2.10really1.2.8-1.debian.tar.gz
  to main/d/directfb/directfb_1.2.10really1.2.8-1.debian.tar.gz
directfb_1.2.10really1.2.8-1.dsc
  to main/d/directfb/directfb_1.2.10really1.2.8-1.dsc
directfb_1.2.10really1.2.8.orig.tar.gz
  to main/d/directfb/directfb_1.2.10really1.2.8.orig.tar.gz
libdirectfb-1.2-0-dbg_1.2.10really1.2.8-1_amd64.deb
  to main/d/directfb/libdirectfb-1.2-0-dbg_1.2.10really1.2.8-1_amd64.deb
libdirectfb-1.2-0-udeb_1.2.10really1.2.8-1_amd64.udeb
  to main/d/directfb/libdirectfb-1.2-0-udeb_1.2.10really1.2.8-1_amd64.udeb
libdirectfb-1.2-0_1.2.10really1.2.8-1_amd64.deb
  to main/d/directfb/libdirectfb-1.2-0_1.2.10really1.2.8-1_amd64.deb
libdirectfb-bin-dbg_1.2.10really1.2.8-1_amd64.deb
  to main/d/directfb/libdirectfb-bin-dbg_1.2.10really1.2.8-1_amd64.deb
libdirectfb-bin-udeb_1.2.10really1.2.8-1_amd64.udeb
  to main/d/directfb/libdirectfb-bin-udeb_1.2.10really1.2.8-1_amd64.udeb
libdirectfb-bin_1.2.10really1.2.8-1_amd64.deb
  to main/d/directfb/libdirectfb-bin_1.2.10really1.2.8-1_amd64.deb
libdirectfb-dev_1.2.10really1.2.8-1_amd64.deb
  to main/d/directfb/libdirectfb-dev_1.2.10really1.2.8-1_amd64.deb
libdirectfb-extra-dbg_1.2.10really1.2.8-1_amd64.deb
  to main/d/directfb/libdirectfb-extra-dbg_1.2.10really1.2.8-1_amd64.deb
libdirectfb-extra_1.2.10really1.2.8-1_amd64.deb
  to main/d/directfb/libdirectfb-extra_1.2.10really1.2.8-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569815@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fabo@debian.org> (supplier of updated directfb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Feb 2010 19:58:46 +0100
Source: directfb
Binary: libdirectfb-1.2-0 libdirectfb-1.2-0-udeb libdirectfb-bin libdirectfb-bin-udeb libdirectfb-extra libdirectfb-dev libdirectfb-1.2-0-dbg libdirectfb-bin-dbg libdirectfb-extra-dbg
Architecture: source amd64
Version: 1.2.10really1.2.8-1
Distribution: unstable
Urgency: medium
Maintainer: Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>
Changed-By: Fathi Boudra <fabo@debian.org>
Description: 
 libdirectfb-1.2-0 - direct frame buffer graphics - shared libraries
 libdirectfb-1.2-0-dbg - direct frame buffer graphics - shared libraries debug symbols
 libdirectfb-1.2-0-udeb - direct frame buffer graphics - shared libraries (udeb)
 libdirectfb-bin - direct frame buffer graphics - binaries
 libdirectfb-bin-dbg - direct frame buffer graphics - binaries debug symbols
 libdirectfb-bin-udeb - direct frame buffer graphics - binaries (udeb)
 libdirectfb-dev - direct frame buffer graphics library - development files
 libdirectfb-extra - direct frame buffer graphics - extra providers
 libdirectfb-extra-dbg - direct frame buffer graphics - extra provider debug symbols
Closes: 569815
Changes: 
 directfb (1.2.10really1.2.8-1) unstable; urgency=medium
 .
   * Restore directfb 1.2.8 as 1.2.10really1.2.8 to avoid more breakage during
     libjpeg transition. (Closes: #569815)
Checksums-Sha1: 
 3a88530008ad193a2924ed2808e3d796224c3dd3 1975 directfb_1.2.10really1.2.8-1.dsc
 db289be16d1d01cb47631f807c67c19a9eda827f 2824526 directfb_1.2.10really1.2.8.orig.tar.gz
 d17536ca4abd7074a3e6292be9ac4983a99054c8 20808 directfb_1.2.10really1.2.8-1.debian.tar.gz
 d2fe1e526b37ac3d4032747228f6b56c44305711 1185256 libdirectfb-1.2-0_1.2.10really1.2.8-1_amd64.deb
 977e07a5a668b7a9ff0df1c711e1ef09795ee738 416048 libdirectfb-1.2-0-udeb_1.2.10really1.2.8-1_amd64.udeb
 7936d9d90a830b1fda67c1e8bef5848420ff8b12 62228 libdirectfb-bin_1.2.10really1.2.8-1_amd64.deb
 c94d0356579113a890c9ca5ac6b8c7d9c8dff0a6 6134 libdirectfb-bin-udeb_1.2.10really1.2.8-1_amd64.udeb
 1a40a8e511dbaafef8778424d83ed5f3e75cbd31 36398 libdirectfb-extra_1.2.10really1.2.8-1_amd64.deb
 4e37888a2dc816be73ad8f035edcd88ba526ced2 916534 libdirectfb-dev_1.2.10really1.2.8-1_amd64.deb
 c91c5795216bfa08ebc8c316dd485641b3d0b404 2776666 libdirectfb-1.2-0-dbg_1.2.10really1.2.8-1_amd64.deb
 cf0c7eef5aa7fa2646895de2c5b749750a3736b7 767834 libdirectfb-bin-dbg_1.2.10really1.2.8-1_amd64.deb
 6df009f591c3fb830bb8010a90871e7e3e56b300 628286 libdirectfb-extra-dbg_1.2.10really1.2.8-1_amd64.deb
Checksums-Sha256: 
 abfbd36a674997d1b372c327f06cc294f91c7216ae42b3b1f3a205d543408744 1975 directfb_1.2.10really1.2.8-1.dsc
 b96081d688db309cd2e60a2c534b916f3daa26b5fb7702e7bf7b767396bf24e9 2824526 directfb_1.2.10really1.2.8.orig.tar.gz
 5d7dcf3fab83873d21e5d7b960729ff978232e75f51f20d7ae90dca7e0dd7a3b 20808 directfb_1.2.10really1.2.8-1.debian.tar.gz
 8ba8b933b69aa5d686bf023c9b647faedaae43a668a6a79cd92a63cd62803e83 1185256 libdirectfb-1.2-0_1.2.10really1.2.8-1_amd64.deb
 039f2f1528a6e559797692faf19e34bb6d159659bcad275083c3d576b688aa03 416048 libdirectfb-1.2-0-udeb_1.2.10really1.2.8-1_amd64.udeb
 c83621fe31491cc03b2b0c183a7ec485f7e775c0098d15e2b1397d8806a5a2d1 62228 libdirectfb-bin_1.2.10really1.2.8-1_amd64.deb
 2201b9e8f3e09e79f0e2b7d662f6d0dcb2b0d0a46141c70faad2a266266afe9c 6134 libdirectfb-bin-udeb_1.2.10really1.2.8-1_amd64.udeb
 ad6250abcb43b29a65e2f9fd231e9728f6607c54706275a6a27e1141f4f6a75b 36398 libdirectfb-extra_1.2.10really1.2.8-1_amd64.deb
 462298ca3bdc34aaed82295d78a660b97a36bcfdc3b94394c7e3ae44c7b15dbd 916534 libdirectfb-dev_1.2.10really1.2.8-1_amd64.deb
 6d80078a2c210dc06c2324abbbc2f041791f6bc515c2194dce955e0f31d1db43 2776666 libdirectfb-1.2-0-dbg_1.2.10really1.2.8-1_amd64.deb
 060f056f4a4864bc2578ff3fb41c604522fc0e9c035c21548a34cee88d9ff6e0 767834 libdirectfb-bin-dbg_1.2.10really1.2.8-1_amd64.deb
 b36ae5ffa35bacd8738ba0ae47584b174ccad3bab26fe180a6440483ae52165c 628286 libdirectfb-extra-dbg_1.2.10really1.2.8-1_amd64.deb
Files: 
 d8d5a3b01006c9382a4b9f4302cb7943 1975 libs optional directfb_1.2.10really1.2.8-1.dsc
 b82af5df68146a5034701937b0bf3c3d 2824526 libs optional directfb_1.2.10really1.2.8.orig.tar.gz
 604cde3b8d882464859ccb314d96f774 20808 libs optional directfb_1.2.10really1.2.8-1.debian.tar.gz
 644ddfbd2e16d5e67900fa7cb6049074 1185256 libs optional libdirectfb-1.2-0_1.2.10really1.2.8-1_amd64.deb
 769cae2e8a336c1a2b7a38a604e9b8dd 416048 debian-installer optional libdirectfb-1.2-0-udeb_1.2.10really1.2.8-1_amd64.udeb
 9637409a3c342f69338d4a9f66830d7a 62228 libs optional libdirectfb-bin_1.2.10really1.2.8-1_amd64.deb
 776283b57c803bfd8d429ee3b758cfb8 6134 debian-installer optional libdirectfb-bin-udeb_1.2.10really1.2.8-1_amd64.udeb
 02193a16c1d7254a79c75190176d2bd1 36398 libs optional libdirectfb-extra_1.2.10really1.2.8-1_amd64.deb
 4ec202317c7c91117e6f35b1933fd68c 916534 libdevel optional libdirectfb-dev_1.2.10really1.2.8-1_amd64.deb
 8c1970abec241f2afc1afdd447c6ac6c 2776666 debug extra libdirectfb-1.2-0-dbg_1.2.10really1.2.8-1_amd64.deb
 3ba8cece669cf28ef5db77a3a88a15e1 767834 debug extra libdirectfb-bin-dbg_1.2.10really1.2.8-1_amd64.deb
 be648aaf2c6b7c8323009f3869cc62cb 628286 debug extra libdirectfb-extra-dbg_1.2.10really1.2.8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAkt4TG8ACgkQjPU19mqlcvep1wP9F6cI7RyiylcwHxAAmfyRKCy8
VO6MkN9TXjsnh1s4GUW2nKrs8JkzQ8jlhw1DqD+TXtq6gXTFpwBuhzWaXAZp6IjC
wbYgYtjaxIN5jvIyXbM9qXuabsqjTqw/t011XMcFqJ/EI29w+Y1zN9KH3vxBhAf5
gAtl90pfA1bHCIt944I=
=c67V
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>:
Bug#569815; Package libdirectfb-1.2-0. (Sun, 14 Feb 2010 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>. (Sun, 14 Feb 2010 22:33:03 GMT) Full text and rfc822 format available.

Message #84 received at 569815@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: control@bugs.debian.org
Cc: 569815@bugs.debian.org
Subject: still wacko
Date: Mon, 15 Feb 2010 06:31:08 +0800
reopen 569815
found 569815 1.2.10-1
thanks
firefox says "Couldn't load XPCOM" and dies.
Downgrading
  Installed: 1.2.8-5
  Candidate: 1.2.10-1
fixes it.




Bug No longer marked as fixed in versions directfb/1.2.10really1.2.8-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Feb 2010 22:33:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions directfb/1.2.10-1. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sun, 14 Feb 2010 22:33:05 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.2.10really1.2.8-1, send any further explanations to Kurt Roeckx <kurt@roeckx.be> Request was from Nicholas Breen <nbreen@ofb.net> to control@bugs.debian.org. (Mon, 15 Feb 2010 00:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>:
Bug#569815; Package libdirectfb-1.2-0. (Mon, 15 Feb 2010 00:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian DirectFB Team <pkg-directfb-devel@lists.alioth.debian.org>. (Mon, 15 Feb 2010 00:15:06 GMT) Full text and rfc822 format available.

Message #95 received at 569815@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: jidanni@jidanni.org, control@bugs.debian.org
Cc: 569815@bugs.debian.org
Subject: Re: Bug#569815: fixed in directfb 1.2.10really1.2.8-1
Date: Sun, 14 Feb 2010 18:11:55 -0600
fixed 569815 1.2.10really1.2.8-1
thanks

Hi,

jidanni@jidanni.org wrote:

> reopen 569815
> found 569815 1.2.10-1
> thanks
> firefox says "Couldn't load XPCOM" and dies.
> Downgrading

Note that version 1.2.10really1.2.8-1 is distinct from 1.2.10-1.
Upgrading to 1.2.10really1.2.8-1 should fix this.  Marking
accordingly.

Hope that helps,
Jonathan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Mar 2010 07:29:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:37:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.